For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet payables
      • POSTCreate a payable
      • GETGet payables analytics
      • POSTUpload a payable from a file
      • GETGet payables validations
      • PUTUpdate payables validations
      • POSTReset payables validations
      • GETGet the available variables for payable email templates
      • GETGet a payable by ID
      • DELDelete a payable
      • PATCHUpdate a payable
      • POSTApprove a payable for payment
      • POSTAttach a file to a payable
      • POSTCancel a payable
      • GETReturns the history of the specified accounts payable document.
      • POSTMark a payable as paid
      • POSTMark a payable as partially paid
      • POSTReject a payable
      • POSTReopen a rejected or waiting_to_be_paid payable
      • POSTSubmit a payable for approval
      • GETGet suggestions
      • DELDelete suggestions
      • POSTValidate a payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payablePayables

Returns the history of the specified accounts payable document.

GET
/payables/:payable_id/history
GET
/v1/payables/:payable_id/history
$curl https://api.sandbox.monite.com/v1/payables/payable_id/history \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "cd58435b-1c79-4b17-9f79-f898c93e5f97",
5 "event_data": {
6 "new_status": "draft",
7 "old_status": "draft"
8 },
9 "event_type": "status_changed",
10 "payable_id": "f669a8a4-0563-4ab9-b54f-e9d700d282c5",
11 "timestamp": "2024-01-15T09:30:00Z",
12 "entity_user_id": "d5a577b0-01c0-4566-ac5c-44f41935e8c4"
13 }
14 ],
15 "next_pagination_token": "next_pagination_token",
16 "prev_pagination_token": "prev_pagination_token"
17}
Was this page helpful?
Previous

Mark a payable as paid

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sort"timestamp"Optional

The field to sort the results by. Typically used together with the order parameter.

event_type__inenumOptional
Return only the specified event types
entity_user_id__instringOptionalformat: "uuid"

Return only events caused by the entity users with the specified IDs. To specify multiple user IDs, repeat this parameter for each ID: entity_user_id__in=<user1>&entity_user_id__in=<user2>

timestamp__gtdatetimeOptional

Return only events that occurred after the specified date and time. The value must be in the ISO 8601 format YYYY-MM-DDThh:mm[:ss[.ffffff]][Z|±hh:mm].

timestamp__ltdatetimeOptional
Return only events that occurred before the specified date and time.
timestamp__gtedatetimeOptional
Return only events that occurred on or after the specified date and time.
timestamp__ltedatetimeOptional
Return only events that occurred before or on the specified date and time.

Response

Successful Response
datalist of objects
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

400
Get Payables ID History Request Bad Request Error
401
Get Payables ID History Request Unauthorized Error
403
Get Payables ID History Request Forbidden Error
404
Get Payables ID History Request Not Found Error
422
Get Payables ID History Request Unprocessable Entity Error
500
Get Payables ID History Request Internal Server Error